com.amazonaws.services.codedeploy.model

## Class CreateDeploymentResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.CreateDeploymentResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateDeploymentResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a create deployment operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateDeploymentResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDeploymentResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeploymentId()` A unique deployment ID.
`int` `hashCode()`
`void` `setDeploymentId(String deploymentId)` A unique deployment ID.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDeploymentResult` `withDeploymentId(String deploymentId)` A unique deployment ID.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDeploymentResult

    public CreateDeploymentResult()

### Method Detail

#### setDeploymentId

    public void setDeploymentId(String deploymentId)

A unique deployment ID.

Parameters:
  `deploymentId` - A unique deployment ID.

#### getDeploymentId

    public String getDeploymentId()

A unique deployment ID.

Returns:
  A unique deployment ID.

#### withDeploymentId

    public CreateDeploymentResult withDeploymentId(String deploymentId)

A unique deployment ID.

Parameters:
  `deploymentId` - A unique deployment ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDeploymentResult clone()

Overrides:
  `clone` in class `Object`